Subject: bug#25201: Re bug#25201: [PATCH] gnu: Patch mumble to disable statistic gathering by default.

From: Efraim Flashner <[email-masked]>
Date: Tue, 10 Mar 2020 20:22:50 +0200

On Tue, Mar 10, 2020 at 10:50:57AM -0400, Jack Hill wrote:
> Hi,
> 
> Thanks for improving Guix! Having an old bug closed is great.
> 
> I'm trying to follow along, and learn some things about making Guix
> packages. One question I have after seeing this change is how did you decide
> whether to make this change in the source definition (with a patch or a
> snippet) or in a phase during the build?
> 
> Perhaps for this change the differences don't matter to much, so I won't
> learn much, but I thought I'd ask anyway :)
> 
> Best,
> Jack

In general changes in snippets are used to remove non-free software and
to allow the software to build. The idea is that 'guix build -S foo'
will return the source for foo which could be taken to a non-guix system
and built normally. In practice I'm not sure how often this is the case.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted